summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJustin Lecher <jlec@gentoo.org>2015-10-27 19:09:15 +0100
committerJustin Lecher <jlec@gentoo.org>2015-10-27 19:09:15 +0100
commitef77616271aa0631e2e255952e34ec183ffa522c (patch)
tree59ee9a7eb8e739ec18592fd8132deb65b992e2af /sci-chemistry
parentsci-chemistry/openbabel: Fix for gcc-5 (diff)
downloadgentoo-ef77616271aa0631e2e255952e34ec183ffa522c.tar.gz
gentoo-ef77616271aa0631e2e255952e34ec183ffa522c.tar.bz2
gentoo-ef77616271aa0631e2e255952e34ec183ffa522c.zip
sci-chemistry/openbabel-python: Fix for gcc-5
convert mycmakeargs to be an array Package-Manager: portage-2.2.23 Signed-off-by: Justin Lecher <jlec@gentoo.org>
Diffstat (limited to 'sci-chemistry')
-rw-r--r--sci-chemistry/openbabel-python/openbabel-python-2.3.2.ebuild8
1 files changed, 6 insertions, 2 deletions
diff --git a/sci-chemistry/openbabel-python/openbabel-python-2.3.2.ebuild b/sci-chemistry/openbabel-python/openbabel-python-2.3.2.ebuild
index 2650d1959a0..114ace5e00a 100644
--- a/sci-chemistry/openbabel-python/openbabel-python-2.3.2.ebuild
+++ b/sci-chemistry/openbabel-python/openbabel-python-2.3.2.ebuild
@@ -45,11 +45,14 @@ src_prepare() {
-outdir scripts/python \
scripts/openbabel-python.i \
|| die "Regeneration of openbabel-python.cpp failed"
+ sed \
+ -e '/__GNUC__/s:== 4:>= 4:g' \
+ -i include/openbabel/shared_ptr.h || die
}
src_configure() {
my_impl_src_configure() {
- local mycmakeargs="${mycmakeargs}
+ local mycmakeargs=(
-DCMAKE_INSTALL_RPATH=
-DBINDINGS_ONLY=ON
-DBABEL_SYSTEM_LIBRARY="${EPREFIX}/usr/$(get_libdir)/libopenbabel.so"
@@ -60,7 +63,8 @@ src_configure() {
-DPYTHON_INCLUDE_DIR="${EPREFIX}/usr/include/${EPYTHON}"
-DPYTHON_INCLUDE_PATH="${EPREFIX}/usr/include/${EPYTHON}"
-DPYTHON_LIBRARY="${EPREFIX}/usr/$(get_libdir)/lib${EPYTHON}.so"
- -DENABLE_TESTS=ON"
+ -DENABLE_TESTS=ON
+ )
cmake-utils_src_configure
}